DCMTK - Bug #688

dcmcjpls crash when trying to compress a certain image file
2016-06-03 10:05 - Marco Eichelberg

Status: Closed Start date: 2016-06-03
Priority: High Due date:

Assignee: Thorben Hasenpusch % Done: 0%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.1+

Module: dcmijpls Compiler:

Operating System:

Description

The attached image file causes dcmcjpls to crash after compressing the file, most probably due to stack corruption.

This affects both DCMTK 3.6.0 release (Win32 and Linux x64), and the current development branch (as of 2016-06-03).

History

#1 - 2016-06-03 11:09 - Jan Schlamelcher
- Status changed from New to Assigned

- Assignee set to Thorben Hasenpusch

- Priority changed from Normal to High

- Target version set to 3.6.1+

#2 - 2016-07-26 15:12 - J6rg Riesmeier

- Status changed from Assigned to Resolved

Closed by this commit?

#3 - 2016-08-03 11:30 - Marco Eichelberg

- Status changed from Resolved to Closed

Files

demcjpls_error.dcm 1.04 MB 2016-06-03
http://git.dcmtk.org/?p=dcmtk.git;a=commit;h=1767cc6c62fbcca532b7c34a8cbba153597027aa
